> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Datasets

> 
Retrieve all agent-level datasets in a project. Use to discover available datasets for agent test runs.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/agent-datasets
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/agent-datasets:
    get:
      tags:
        - Agent Datasets
      summary: List Agent Datasets
      description: >-

        Retrieve all agent-level datasets in a project. Use to discover
        available datasets for agent test runs.


        `page_size` defaults to 30, maximum 100.
      operationId: get_get_agent_datasets
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
        - name: id
          in: query
          schema:
            default: null
            title: Id
            format: uuid
            type:
              - string
              - 'null'
        - name: name
          in: query
          schema:
            default: null
            title: Name
            type:
              - string
              - 'null'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/AgentDatasetResponse'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: AgentDatasetsListResponse
                type: object
          description: >-
            AgentDatasetsListResponse(data:
            list[server.api_routes.agent_datasets_api_v2.AgentDatasetResponse],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    AgentDatasetResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          title: Description
          type:
            - string
            - 'null'
        compatible_agent_ids:
          items:
            format: uuid
            type: string
          title: Compatible Agent Ids
          type: array
        tags:
          default: null
          items:
            $ref: '#/components/schemas/TagResponse'
          title: Tags
          type: array
      required:
        - id
        - name
        - description
        - compatible_agent_ids
      title: AgentDatasetResponse
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
    TagResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          title: Color
          type: string
        association_count:
          default: 0
          title: Association Count
          type: integer
      required:
        - id
        - name
        - color
      title: TagResponse
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````